Name: 		sqlitebrowser
Version:	3.4.0
Release:	%mkrel 1

Summary:    Design and edit database files compatible with SQLite
License:    Public Domain
Group:      Databases
Url:        http://sqlitebrowser.sourceforge.net/index.html
Source0:    http://heanet.dl.sourceforge.net/sourceforge/sqlitebrowser/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#------------------------------
BuildRequires: qt4-devel
BuildRequires: sqlite3-devel
#------------------------------

%description
SQLite Database Browser is a freeware, public domain, open source 
visual tool used to create, design and edit database files compatible 
with SQLite. It is meant to be used for users and developers that want 
to create databases, edit and search data using a familiar 
spreadsheet-like interface, without the need to learn complicated 
SQL commands.

%prep
rm -fr %{buildroot}

%setup -q
chmod 644 *txt

%build
%qmake_qt4
%make

%install
rm -rf %buildroot

install -d -m 755 %{buildroot}/%{_bindir}

pushd src
cp sqlitebrowser %{buildroot}/%{_bindir}/
popd

install -d -m 755 %{buildroot}%{_datadir}/applications/
cat >%{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=SQLite database browser
Comment=GUI editor for SQLite databases
TryExec=sqlitebrowser
Exec=sqlitebrowser
Icon=sqlitebrowser
Terminal=false
Type=Application
Categories=Development;Database;Qt;
MimeType=application/x-sqlite3;
EOF

install -m 644 -D images/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png


%files
%doc *.txt
%{_bindir}/sqlitebrowser
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png


%changelog
* Sat Jan 03 2015 gseaman <galen.seaman at comcast.net> 3.4.0-1gseaman2014
- build for PCLinuxOS
